Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.net.io
Enum SerializerType

    java.lang.Object
      java.lang.Enum<SerializerType>
          org.apache.cassandra.net.io.SerializerType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerializerType>

    public enum SerializerType

extends java.lang.Enum<SerializerType>

Enum Constant Summary
`BINARY`
`JAVA`
`JSON`
`XML`

Method Summary
`static SerializerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerializerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BINARY

    public static final SerializerType BINARY

### JAVA

    public static final SerializerType JAVA

### XML

    public static final SerializerType XML

### JSON

    public static final SerializerType JSON

Method Detail

### values

    public static SerializerType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerializerType c : SerializerType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerializerType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 The Apache Software Foundation